| Home | Libraries | People | FAQ | More

### ssl::context

Typedef for the typical usage of context.

    typedef basic_context< context_service > context;

##### Types

Name | Description
--- | ---
file_format | File format types.
impl_type | The native implementation type of the locking dispatcher.
method | Different methods supported by a context.
options | Bitmask type for SSL options.
password_purpose | Purpose of PEM password.
service_type | The type of the service that will be used to provide context operations.
verify_mode | Bitmask type for peer verification.

##### Member Functions

Name | Description
--- | ---
add_verify_path | Add a directory containing certificate authority files to be used for performing verification.
basic_context | Constructor.
impl | Get the underlying implementation in the native type.
load_verify_file | Load a certification authority file for performing verification.
set_options | Set options on the context.
set_password_callback | Set the password callback.
set_verify_mode | Set the peer verification mode.
use_certificate_chain_file | Use a certificate chain from a file.
use_certificate_file | Use a certificate from a file.
use_private_key_file | Use a private key from a file.
use_rsa_private_key_file | Use an RSA private key from a file.
use_tmp_dh_file | Use the specified file to obtain the temporary Diffie-Hellman parameters.
~basic_context | Destructor.

##### Data Members

Name | Description
--- | ---
default_workarounds | Implement various bug workarounds.
no_sslv2 | Disable SSL v2.
no_sslv3 | Disable SSL v3.
no_tlsv1 | Disable TLS v1.
single_dh_use | Always create a new key when using tmp_dh parameters.
verify_client_once | Do not request client certificate on renegotiation. Ignored unless verify_peer is set.
verify_fail_if_no_peer_cert | Fail verification if the peer has no certificate. Ignored unless verify_peer is set.
verify_none | No verification.
verify_peer | Verify the peer.